com.singularsys.jep.misc.bitwise

## Enum BitwiseOperatorTable.BitwiseOperators

- java.lang.Object
- - java.lang.Enum<BitwiseOperatorTable.BitwiseOperators>
  - - com.singularsys.jep.misc.bitwise.BitwiseOperatorTable.BitwiseOperators

- All Implemented Interfaces:
    EmptyOperatorTable.OperatorKey, java.io.Serializable, java.lang.Comparable<BitwiseOperatorTable.BitwiseOperators>
  Enclosing class:
    BitwiseOperatorTable

      public static enum BitwiseOperatorTable.BitwiseOperators
      extends java.lang.Enum<BitwiseOperatorTable.BitwiseOperators>
      implements EmptyOperatorTable.OperatorKey

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BITAND`
    `BITCOMP`
    `BITOR`
    `BITXOR`
    `LSHIFT`
    `RSHIFT`
    `URSHIFT`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BitwiseOperatorTable.BitwiseOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static BitwiseOperatorTable.BitwiseOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BITAND

          public static final BitwiseOperatorTable.BitwiseOperators BITAND

    - #### BITOR

          public static final BitwiseOperatorTable.BitwiseOperators BITOR

    - #### BITXOR

          public static final BitwiseOperatorTable.BitwiseOperators BITXOR

    - #### BITCOMP

          public static final BitwiseOperatorTable.BitwiseOperators BITCOMP

    - #### LSHIFT

          public static final BitwiseOperatorTable.BitwiseOperators LSHIFT

    - #### RSHIFT

          public static final BitwiseOperatorTable.BitwiseOperators RSHIFT

    - #### URSHIFT

          public static final BitwiseOperatorTable.BitwiseOperators URSHIFT

  - ### Method Detail

    - #### values

          public static BitwiseOperatorTable.BitwiseOperators[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (BitwiseOperatorTable.BitwiseOperators c : BitwiseOperatorTable.BitwiseOperators.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static BitwiseOperatorTable.BitwiseOperators valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep